PETSc version 3.15.5
Fix/Edit manual page

# PetscSortIntWithScalarArray

Sorts an array of integers in place in increasing order; changes a second SCALAR array to match the sorted first INTEGER array.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSortIntWithScalarArray(PetscInt n,PetscInt X[],PetscScalar Y[])

Not Collective

### Input Parameters

| n | - number of values
| X | - array of integers
| Y | - second array of scalars

### See Also

PetscTimSortWithArray(), PetscSortReal(), PetscSortIntPermutation(), PetscSortInt(), PetscSortIntWithArray()

### Level

intermediate

### Location

src/sys/utils/sorti.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages